Loading...
Searching...
No Matches
peripheral::Address Struct Reference

peripheral device position based address More...

`import "PeripheralDeviceSlot.idl";`

## Public Attributes

vector< PosElement > | position
| Position within 1-wire topo.
sensors::Sensor TypeSpec | type
| device's type spec
boolean | isActuator
| true if device is an actuator
int | channel
| Channel number.

## Detailed Description

peripheral device position based address

Definition at line 25 of file PeripheralDeviceSlot.idl.

## Member Data Documentation

## channel

int peripheral::Address::channel

Channel number.

Definition at line 29 of file PeripheralDeviceSlot.idl.

## isActuator

boolean peripheral::Address::isActuator

true if device is an actuator

Definition at line 28 of file PeripheralDeviceSlot.idl.

## position

vector<PosElement> peripheral::Address::position

Position within 1-wire topo.

Definition at line 26 of file PeripheralDeviceSlot.idl.

## type

sensors::Sensor TypeSpec peripheral::Address::type

device's type spec

Definition at line 27 of file PeripheralDeviceSlot.idl.

The documentation for this struct was generated from the following file:

- PeripheralDeviceSlot.idl